/*
 * Neighbor.java
 *
 * Created on January 6, 2005, 4:04 PM
 */

package DDMT.Nodes;

/**
 *
 * @author  jk3
 */
public class Neighbor {
    
    //The number of this neighbor
    private int nodeNumber;
    
    //The delay to send a message to this neighbor
    private double delay;
    
    //The type of the node
    private String type;
    
    /**
     *Method to set the nodeNumber of this neighbor
     */
    public void setNumber(int number)
    {
        nodeNumber = number;
    }
    
    /**
     *Method to get the node number of this neighbor
     */
    public int getNumber()
    {
        return nodeNumber;
    }
    
    /**
     *Method to set the delay of the neighbor
     */
    public void setDelay(double delay)
    {
        this.delay = delay;
    }
    
    /**
     *Method to get the delay of the neighbor
     */
    public double getDelay()
    {
        return delay;
    }
    /**
     *Method to set the type of the neighbor
     */
    public void setType(String type)
    {
        this.type = new String(type);
    }
    
    /**
     *Method to get the type of the neighbor
     */
    public String getType()
    {
        return new String(type);
    }
    
    /** Creates a new instance of Neighbor */
    public Neighbor() {
    }
    
    /**
     *Copy constructor
     */
    public Neighbor( Neighbor n)
    {
        this.nodeNumber = n.nodeNumber;
        this.delay = n.delay;
    }
}
